package resources;

import java.util.List;

//-------------------------------------------------------------------------
// todo: add name field
public class Customer {
	private Points points;
	private Total total;
	private History history;
	private Payment payment;
	private String name; // added

	public Customer(String name) { // added
		points = new Points();
		total = new Total();
		history = new History(total);
		payment = new Payment(points, history);

		this.name = name; // added
	}

	public void purchase(int x) {
		this.payment.purchase(x);
	}

	public int getTotal() {
		return total.getValue();
	}

	public int getPayment() {
		return payment.getValue();
	}

	public List<Integer> getHistory() {
		return history.getValue();
	}

	public int getPoints() {
		return points.getValue();
	}

	// added
	public String getName() {
		return this.name;
	}
}